package com.soss.system.service;

import com.soss.system.domain.SysBanner;

import java.util.List;

/**
 * 轮播图Service接口
 *
 * @author zxq
 * @date 2022-04-28
 */
public interface ISysBannerService {
    List<SysBanner> selectBanner(SysBanner banner);

    Long createBanner(SysBanner banner);

    Boolean updateBanner(SysBanner banner);

    Boolean updateState(Long bannerId, Integer state);

    Boolean delete(Long bannerId);

    List<SysBanner> getBannersByShopId(Long shopId, Integer type, Integer target);
}
